<?php
namespace Claromentis\Projects\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_439683f8b30ea4e8e54" . "d8867c605e1d3" => base64_decode("cHJvamVjdHMucHJvamVjdF9kaXNjdX" . "NzaW9uX3Bvc3RlZA=="), "_fa7526ba4ccc308f" . "e61186445986ceaa" => base64_decode("cmVja" . "XBpZW" . "50cw=" . "="), "_6e38cb9e043a07cd69a1711a6704" . "c62a" => base64_decode("cGFyZW50X2" . "lk"), "_4c0160d68025e411dfb181e4d510" . "bd77" => base64_decode("cHJvamVjdHMu" . "cHJvamVjdF9y" . "ZXBseV9wb3N0" . "ZWQ="), "_a71dc9333bd8ad95d55d6624b477875" . "f" => base64_decode("ZGF" . "0YQ" . "=="));
use Claromentis\Comments\Model\Comment;
use Claromentis\Projects\Notification;
use Claromentis\Projects\Service\NotificationService;
class ProjectCommentNotification
{
    private $_comment;
    private $_notification;
    public function __construct(Comment $_e8d840684607f6c2bbef523090642168, NotificationService $_88e3baed593bc10d4b7045181b4ac725)
    {
        $this->_comment = $_e8d840684607f6c2bbef523090642168;
        $_dadf790baf241afac942824c1e6e37c4 = NotificationService::PROJECT_DISCUSSION_POSTED;
        if ($_e8d840684607f6c2bbef523090642168->GetProperty($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_6e38cb9e043a" . "07cd69a1711a6" . "704c62a"]) > 0) {
            $_dadf790baf241afac942824c1e6e37c4 = NotificationService::PROJECT_REPLY_POSTED;
        }
        $_99aaa03a11622e16e59bff0771ea8ef3 = new Notification($_dadf790baf241afac942824c1e6e37c4, $this->_comment);
        $this->_notification = $_88e3baed593bc10d4b7045181b4ac725->GetNotificationData($_99aaa03a11622e16e59bff0771ea8ef3);
    }
    public function GetTemplate()
    {
        if ($this->_comment->parent_id == 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_439683f8b30ea4e8e54" . "d8867c605e1d3"];
        }
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4c0160d68025e411dfb18" . "1e4d510bd77"];
    }
    public function GetMessageParams()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a71dc9333bd8ad95d55d662" . "4b477875f"]];
    }
    public function GetRecipients()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_fa7526ba4ccc308fe61186445986c" . "eaa"]];
    }
    public function GetType()
    {
        return Notification::IM_TYPE_PROJECT;
    }
}